package User

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/User"
	"wechat-api/internal/svc"
)

// swagger:route post /api/user/vip User GetApiUserVip
//
// Get user vip information | 获取用户VIP信息
//
// Get user vip information | 获取用户VIP信息
//
// Responses:
//  200: UserVipResp

func GetApiUserVipHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := User.NewGetApiUserVipLogic(r.Context(), svcCtx)
		resp, err := l.GetApiUserVip()
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
